stages:
    - build
    - test

build_process:
    stage: build
    script:
        - mkdir build
        - cd build
        - touch process.txt
        - echo "step_one" >> process.txt
        - echo "step_two" >> process.txt
        - echo "step_three" >> process.txt
    artifacts:
        paths:
            - build/ # Save entire folder


test_process:
    stage: test
    script:
        - test -f build/process.txt
        - cd build
        - grep "step_one" process.txt
        - grep "step_two" process.txt
        - grep "step_three" process.txt